Our accreditations and awards:
30 days guarantee
Cookies
0 items Total £0.00

SHA-2 COMPATIBILITY WITH BROWSERS AND OPERATING SYSTEMS

Download our Whitepaper: SHA-2 timeline & compatibility

Browsers compatible with SHA-2 hash algorithm

Internet Explorer under Seven and higher

Konqueror 3.5.7

Internet Explorer 7+ under Vista

Mozilla products based on NSS 3.8+ (since April 2003)

Internet Explorer 7+ under Windows XP SP3

Products based on OpenSSL 0.9.8o+

Firefox 1.5+

Java 1.4.2+ based products

Netscape 7.1+

Chrome under Windows Vista and higher

Mozilla 1.4+

Chrome under Mac from Mac OS X 10.5

Safari from Mac OS X 10.5

Chrome under Linux

Opera 9.0+

 

Operating Systems compatible with SHA2 hash algorithm

Apache server (versions 2.x and superior)

Windows Server 2003 with patch 938397

Windows Server 2008+

Windows Server 2003 or XP client (if SP2 or inferior, must use patch 968730)

Windows Vista

Oracle WebLogic from the version 10.3.1, see bug8422724

Windows 7

 

Main compatibility issues

SHA-2 has some compatibility issues with Windows XP service pack 2 and previous versions. Before switching to SHA-2, make sure your organisation and its network around it are fully compatible with SHA-2: check that all your platforms, web browsers and Operating Systems are up to date.

Java SDK 1.4.2 must be installed and used in your Java server in order to support SHA-2.

OpenSSL 1.0.x is required to generate a CSR including SHA-2 algorithm - WARNING : a critical bug called "Heartbleed bug" has been detected in OpenSSL versions 1.0.1 to 1.0.1f - if you use any of them, update immediatly to 1.0.1g an reissue all you certificates with new key pairs.
Check here if your server is vulnerable to the "Heartbleed bug".

Feel free to contact us for any question. Our dedicated team of experts is ready to help!

Was this information Useful?
Comments

Privacy Policy